> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apexscore.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Text Entries



## OpenAPI

````yaml api-reference/openapi.yaml get /api/v1/reports/{id}/text_entries/
openapi: 3.0.3
info:
  title: API v1 Public
  version: 1.4.2
  description: >+


    Apex API functions and available endpoints.


    To authenticate, use the `Token` value from the `auth/login` endpoint in the
    Authorize dialog.

  license:
    name: Proprietary to Emotive Technologies Inc.
servers:
  - url: https://api.main.apexscore.ai
security: []
paths:
  /api/v1/reports/{id}/text_entries/:
    get:
      tags:
        - Reports
      summary: Text Entries
      operationId: reports_text_entries_list
      parameters:
        - in: query
          name: attitude_names
          schema:
            type: array
            items:
              type: string
          description: List of attitude names to filter by. Case-insensitive.
        - in: query
          name: configuration_id
          schema:
            type: string
            format: uuid
          description: >-
            Optional configuration id to retrieve. If not provided, the primary
            configuration will be used.
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying this report.
          required: true
        - in: query
          name: only_analyzed
          schema:
            type: boolean
            default: true
          description: Only return analyzed text entries (where ref is not null).
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: per_page
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - in: query
          name: sentiment
          schema:
            type: string
            enum:
              - any
              - negative
              - neutral
              - positive
        - in: query
          name: starred
          schema:
            type: boolean
          description: Filter by starred status.
        - in: query
          name: text_violation_flag
          schema:
            type: boolean
          description: >-
            Set to true to include entries with a text violation flag. By
            default, entries with a text violation flag are excluded.
        - in: query
          name: topic_ids
          schema:
            type: array
            items:
              type: string
          description: >-
            Topic ids to filter by. Get applicable topic ids from the
            `summary/topics` endpoint.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedTextEntryList'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    PaginatedTextEntryList:
      type: object
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/TextEntry'
    TextEntry:
      type: object
      properties:
        text:
          type: string
        entry:
          allOf:
            - $ref: '#/components/schemas/EntryMetaData'
          readOnly: true
        sentiment_overall:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/SentimentOverallEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        topics:
          type: string
          readOnly: true
        starred:
          type: boolean
        text_violation_flag:
          type: boolean
      required:
        - entry
        - text
        - topics
    EntryMetaData:
      type: object
      properties:
        response_id:
          type: string
          nullable: true
          description: >-
            Used for import from any third party text analysis tool. We use this
            value alongside the text to ensure we're matching the correct Entry
            with the correct Third Party result.
          maxLength: 100
        metadata:
          type: object
          additionalProperties: {}
          readOnly: true
      required:
        - metadata
    SentimentOverallEnum:
      enum:
        - positive
        - neutral
        - negative
        - any
      type: string
      description: |-
        * `positive` - Positive
        * `neutral` - Neutral
        * `negative` - Negative
        * `any` - Any
    BlankEnum:
      enum:
        - ''
    NullEnum:
      enum:
        - null
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer

````